﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LinqColor
{
    class Program
    {
        static void Main(string[] args)
        {

            var color_type = typeof(System.Drawing.Color); 
            var color_properties = from prop in color_type.GetProperties() 
                                   where prop.PropertyType == color_type 
                                   orderby prop.Name
                                   select prop;
            foreach (var color_property in color_properties)
            {
                var cur_color = (System.Drawing.Color) color_property.GetValue(null, null);
                uint rgb_int = (uint) cur_color.ToArgb() & (0x00ffffff);
                Console.WriteLine(" {0,-20} = ({1,-3},{2,-3},{3,-3}) = 0x{4:X00000000}",
                                  color_property.Name,
                                  cur_color.R, cur_color.G, cur_color.B,
                                  rgb_int);
            }

            Console.ReadLine();
        }
    }
}
